Game Develop Core: gd::LayoutEditorPreviewer Class Reference

| Game Develop Core Core library for developing platforms and tools compatible with Game Develop.

- Main Page
- Modules
- Classes

- Class List
- Class Index
- Class Hierarchy

All Classes Files Functions Variables Typedefs Enumerations Macros Groups Pages
Public Member Functions | List of all members
gd::LayoutEditorPreviewer Class Reference

Base class used to define what should happen when a preview is launched for a platform. More...

`#include <LayoutEditorPreviewer.h>`

Inheritance diagram for gd::LayoutEditorPreviewer:
[legend]

## Public Member Functions

virtual void | CreatePreviewRibbonTools (wxRibbonButtonBar &buttonBar)
| Called to create the buttons need by the previewer.
virtual void | ConnectPreviewRibbonToolsEvents ()
| Called to connect the buttons with their events.
virtual void | SetParentAuiManager (wxAuiManager *parentAuiManager_)
| Can be called by the IDE to notify the previewer that it is displayed thanks to a wxAuiManager and that it can uses it to display it own sub editors.
virtual bool | LaunchPreview ()
| Called when the previewer must launch the preview ( i.e: Preview button was pressed in the editor ). You can return false is no preview must be done ( The editor will go back into editing state ) More...
virtual void | StopPreview ()
| Called when the previewer must stop the preview ( i.e: Editing button was pressed in the editor )
virtual void | PausePreview ()
| Called when the previewer must pause the preview.
virtual void | OnUpdate ()
| Called regularly during a preview by the parent editor to render a frame.
virtual bool | IsPaused ()
| When doing a preview, must return true if the preview is in a paused state.

## Detailed Description

Base class used to define what should happen when a preview is launched for a platform.

When launching a preview for a platform, the IDE calls gd::Platform::GetLayoutPreviewer which must return a LayoutEditorPreviewer object.
This object is stored by the IDE and can be used to launch a preview ( see LaunchPreview method ).

See Also
  gd::Platform

## Member Function Documentation

virtual bool gd::LayoutEditorPreviewer::LaunchPreview | ( | ) |  |

inlinevirtual

Called when the previewer must launch the preview ( i.e: Preview button was pressed in the editor ). You can return false is no preview must be done ( The editor will go back into editing state )

Returns
  true if the previewer takes care of showing a preview into the editor, false if the editor must go back into editing state.

The documentation for this class was generated from the following files:

- LayoutEditorPreviewer.h
- LayoutEditorPreviewer.cpp